PROGRAM_NAME='Sonace Amp875D Main'
(***********************************************************)
(*  FILE CREATED ON: 02/01/2006  AT: 12:48:05              *)
(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 02/22/2006  AT: 15:52:20        *)
(***********************************************************)
(***********************************************************)
(* System Type : NetLinx                                   *)
(***********************************************************)
(* REV HISTORY:                                            *)
(***********************************************************)

(***********************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_DEVICE

dvAmp = 5001:1:0
vdvAmp = 41001:1:0
vdvAmp1 = 41001:2:0
vdvAmp2 = 41001:3:0
vdvAmp3 = 41001:4:0
dvTP = 10001:11:0


(***********************************************************)
(*               CONSTANT DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_CONSTANT

integer NO_BTN = 9999

dev vdvAmpArray[] =
{
	vdvAmp,
	vdvAmp1,
	vdvAmp2,
	vdvAmp3	
}

#include 'AmplifierComponent.axi'
#include 'ModuleComponent.axi'
#include 'PowerComponent.axi'
#include 'VolumeComponent.axi'

(***********************************************************)
(*              DATA TYPE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_TYPE

(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_VARIABLE

(***********************************************************)
(*               LATCHING DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_LATCHING

(***********************************************************)
(*       MUTUALLY EXCLUSIVE DEFINITIONS GO BELOW           *)
(***********************************************************)
DEFINE_MUTUALLY_EXCLUSIVE

(***********************************************************)
(*        SUBROUTINE/FUNCTION DEFINITIONS GO BELOW         *)
(***********************************************************)
(* EXAMPLE: DEFINE_FUNCTION <RETURN_TYPE> <NAME> (<PARAMETERS>) *)
(* EXAMPLE: DEFINE_CALL '<NAME>' (<PARAMETERS>) *)

(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
DEFINE_START

(* System Information Strings ******************************)
(* Use this section if there is a TP in the System!        *)
(*
    SEND_COMMAND TP,"'!F',250,'1'"
    SEND_COMMAND TP,"'TEXT250-',__NAME__"
    SEND_COMMAND TP,"'!F',251,'1'"
    SEND_COMMAND TP,"'TEXT251-',__FILE__,', ',S_DATE,', ',S_TIME"
    SEND_COMMAND TP,"'!F',252,'1'"
    SEND_COMMAND TP,"'TEXT252-',__VERSION__"
    SEND_COMMAND TP,"'!F',253,'1'"
    (* Must fill this (Master Ver) *)
    SEND_COMMAND TP,'TEXT253-'
    SEND_COMMAND TP,"'!F',254,'1'"
    (* Must fill this (Panel File) *)
    SEND_COMMAND TP,'TEXT254-'
    SEND_COMMAND TP,"'!F',255,'1'"
    (* Must fill this (Dealer Info) *)
    SEND_COMMAND TP,'TEXT255-'
*)

define_module 'AmplifierComponent' mAmpCmp1(vdvAmpArray, dvTP, nAmpButtons, nAmpOutputBtns, nAmpFBBtns)
define_module 'ModuleComponent' mMdlCmp1(vdvAmp, dvTP, nModuleButtons, nModuleVTButtons)
define_module 'PowerComponent' mPwrCmp1(vdvAmpArray, dvTP, nPowerButtons, nPowerOutputBtns, nPowerFBBtns)
define_module 'VolumeComponent' mVolCmp1(vdvAmpArray,
										 dvTP,
										 nVolBtns,
										 nVolLevels,
										 nVolOutBtns,
										 nVolPresetBtns,
										 nVolLvlStore,
										 nVolPsetStore,
										 nVolFBBtns)

define_module 'Sonance_AMP875D_Comm_dr1_0_0' mAmpDev1(vdvAmp, dvAmp)



(***********************************************************)
(*                THE EVENTS GO BELOW                      *)
(***********************************************************)
DEFINE_EVENT

(***********************************************************)
(*            THE ACTUAL PROGRAM GOES BELOW                *)
(***********************************************************)
DEFINE_PROGRAM

(***********************************************************)
(*                     END OF PROGRAM                      *)
(*        DO NOT PUT ANY CODE BELOW THIS COMMENT           *)
(***********************************************************)

